---
title: Console.timeEnd()
slug: Web/API/Console/timeEnd
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Web Development
  - console
  - web console
---
<div>{{APIRef("Console API")}}</div>

<p>Stops a timer that was previously started by calling {{domxref("console.time()")}}.</p>

<p>See <a href="/en-US/docs/Web/API/console#Timers">Timers</a> in the documentation for details and examples.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.timeEnd(<em>label</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code>label</code></dt>
	<dd>The name of the timer to stop. Once stopped, the elapsed time is automatically displayed in the <a href="/en-US/docs/Tools/Web_Console">Web Console</a> along with an indicator that the time has ended.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">console.time("answer time");
alert("Click to continue");
console.timeLog("answer time");
alert("Do a bunch of other stuff...");
console.timeEnd("answer time");
</pre>

<p>The output from the example above shows the time taken by the user to dismiss the first alert box, followed by the time it took for the user to dismiss the second alert:</p>

<p><img alt="timerresult.png" class="default internal" src="https://mdn.mozillademos.org/files/16741/timer_output.png" style="border: 1px solid black; display: block; height: 354px; margin: 0px auto; width: 537px;"></p>

<p>Notice that the timer's name is displayed when the timer value is logged using <code>timeLog()</code> and again when it's stopped. In addition, the call to timeEnd() has the additional information, "timer ended" to make it obvious that the timer is no longer tracking time.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("Console API", "#timeend", "console.timeEnd()")}}</td>
			<td>{{Spec2("Console API")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Console.timeEnd")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="http://www.opera.com/dragonfly/documentation/console/">Opera Dragonfly documentation: Console</a></li>
</ul>
